=== debian/changelog ===
gmusicbrowser (1.1.16) focal; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Wed, 18 Nov 2020 22:40:00 +0200

gmusicbrowser (1.1.15) vivid; urgency=low

  * new version
  * added mpv to suggested packages

 -- Quentin Sculo <squentin@free.fr>  Sat, 20 Aug 2015 01:19:00 +0200

gmusicbrowser (1.1.14) utopic; urgency=low

  * new version
  * removed libgstreamer-interfaces-perl from suggested packages
  * moved libgstreamer-perl from recommended to suggested packages
  * added libglib-object-introspection-perl and gir1.2-gstreamer-1.0 to recommended packages

 -- Quentin Sculo <squentin@free.fr>  Sat, 18 Mar 2015 23:35:00 +0200

gmusicbrowser (1.1.13) trusty; urgency=low

  * new version
  * add poppler-utils to suggested packages

 -- Quentin Sculo <squentin@free.fr>  Sat, 06 Sep 2014 17:41:00 +0200

gmusicbrowser (1.1.12) saucy; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 15 Feb 2014 01:17:00 +0200

gmusicbrowser (1.1.11) saucy; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Mon, 13 Jan 2014 20:52:00 +0200

gmusicbrowser (1.1.10) quantal; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 01 Mar 2013 22:13:00 +0200

gmusicbrowser (1.1.9) oneiric; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 02 Feb 2012 16:52:00 +0200

gmusicbrowser (1.1.8) natty; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 08 Oct 2011 23:28:00 +0200

gmusicbrowser (1.1.7) natty; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Fri, 18 Dec 2011 07:02:00 +0200

gmusicbrowser (1.1.6) maverick; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Mon, 13 Dec 2010 17:48:00 +0200

gmusicbrowser (1.1.5) karmic; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Tue, 20 Apr 2010 21:39:00 +0200

gmusicbrowser (1.1.4) karmic; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 31 Jan 2010 14:32:00 +0200

gmusicbrowser (1.1.3) intrepid; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 19 Sep 2009 23:56:00 +0200

gmusicbrowser (1.1.2) intrepid; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 05 Sep 2009 21:30:00 +0200

gmusicbrowser (1.1.1) intrepid; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Fri, 17 Apr 2009 20:45:00 +0200

gmusicbrowser (1.0) hardy; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 26 Jun 2008 17:07:00 +0200

gmusicbrowser (0.964) hardy; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Fri, 02 May 2008 15:39:00 +0200

gmusicbrowser (0.963) gutsy; urgency=low

  * new version
  * lots of changes

 -- Quentin Sculo <squentin@free.fr>  Sun, 02 Mar 2008 17:33:20 +0200

gmusicbrowser (0.962) gutsy; urgency=low

  * new version
  * set maintainer to Quentin Sculo
  * moved libgtk2-trayicon-perl from Suggests to Depends

 -- Quentin Sculo <squentin@free.fr>  Sun, 28 Oct 2007 02:00:00 +0200

gmusicbrowser (0.958-0ubuntu1) gutsy; urgency=low

  * Packaged for Ubuntu based on upstream's debian dir (Fixes LP #120213)
  * debian/control:
    - Add build-depends on debhelper and imagemagick
    - Add standards-version
    - Set maintainer to Ubuntu MOTU Developers
    - Remove full stop from description
  * debian/copyright:
    - Updated to reflect the debianization based on upstream's packaging
    - Added more required information
  * debian/rules:
    - Removed unused extra rules
    - Install menu file to correct path
    - Convert menu icon to xpm
    - Removed various other cruft
  * debian/compat:
    - Bumped to 5
  * debian/README.Debian-source:
    - Added to explain repackaging
  * debian/postinst:
    - Turned into stub for debhelper
  * debian/postrm:
    - Added as stub for debhelper
  * debian/gmusicbrowser.menu:
    - Added (copied from source and sanitised)
  * debian/dirs:
    - Added to create usr/share/pixmaps

 -- Andy Price <andy@andrewprice.me.uk>  Sat, 23 Jun 2007 21:37:50 +0100
