=== debian/control ===
Source: gmusicbrowser
Section: sound
Priority: optional
Maintainer: Quentin Sculo <squentin@free.fr>
Homepage: http://gmusicbrowser.org/
Build-Depends: debhelper (>= 5.0.0), markdown
Standards-Version: 3.7.3

Package: gmusicbrowser
Architecture: all
Depends: perl, libgtk2-perl, libgtk2.0-0 (>= 2.6)
Recommends: libintl-perl, libnet-dbus-perl, libglib-object-introspection-perl, gir1.2-gstreamer-1.0, libdigest-crc-perl, libcairo-perl, libhtml-parser-perl, libio-compress-perl
Suggests: mpv, mplayer, mpg123, vorbis-tools, alsa-utils, libgtk2-mozembed-perl, libgstreamer-perl, libgtk2-notify-perl, libgnome2-wnck-perl, poppler-utils
Description: very customizable jukebox for large collections of music files
 The interface is extremely customizable. It has easy access to related songs
 (same artist/album/title), supports multiple genres per song, ratings, and
 customizable labels. Powerful search system, random mode and mass-tagging
 dialog. Uses GStreamer, mpg321/ogg123/flac123 or mplayer for playback.
