=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# This is the debhelper compatability version to use.
#export DH_COMPAT=4

build:

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) install DESTDIR=$(CURDIR)/debian/gmusicbrowser \
          docdir=$(CURDIR)/debian/gmusicbrowser/usr/share/doc/gmusicbrowser
	# menu needs an xpm instead of a png
	dh_install debian/gmusicbrowser.xpm usr/share/pixmaps
	# docs are handled in binary-indep
	rm $(CURDIR)/debian/gmusicbrowser/usr/share/doc/gmusicbrowser/*


# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	dh_icons

binary-arch:

binary: binary-indep

.PHONY: clean binary-indep binary install build binary-arch
